/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height margin-bottom: 60px; */

}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 60px;
    background-color: #f5f5f5;
}

/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

.container .text-muted {
    margin: 20px 0;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

code {
    font-size: 80%;
}

.our-phones {
    font: bold 150%/24px 'PT Sans', arial;
}

.badge {
    background-color: #B00;
}

.navigate-logo {
    padding: 2px 10px 4px 10px;
}

.col-fixed-left {
    width: 300px;
    height: 100%;
    padding: 0 10px;
}

.col-offset-forms {
    float: left;
    border: 1px solid red;
}

.col-offset-hall {
    padding: 10px;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 300px;
    right: 0;
}

#mapContainer {
    position: relative;
    overflow: hidden;
    border: 1px solid #fa9b00;
}

#hall-canvas {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.header_absolute {
    position: fixed;
    z-index: 1000;
    background-color: white;
    top: 0;
    left: 0;
    right: 0;
    padding-bottom: 10px;
    box-shadow: 1px 1px 20px #999;
}

.hallevent {
    margin-top: 78px;
    position: relative;
}

.hall-name {
    text-align: center;
    background: #fa9b00;
    font-size: 22px;
    font-weight: 700;
    color: #fff;
    line-height: 40px;
}

#mapContainer #mapControls {
    position: absolute;
    right: 15px;
    top: 15px;
    width: 29px;
}

#mapContainer #mapControls .up {
    background: url(/images/iconUp.png) no-repeat center top;
    display: block;
    height: 26px;
    width: 29px;
}

.zoomer {
    background-image: url(/images/mapcontroll.png);
    background-repeat: no-repeat;
    display: block;
    text-indent: -999em;
    width: 30px;
    height: 30px;
    background-color: #ffffff;
    position: absolute;
    z-index: 1;
    border: 1px solid #cccccc;
    box-sizing: border-box;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    z-index: 99;
}

.zoomin {
    top: 40px;
    left: 10px;
    background-position: -30px 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    outline: none;
    z-index: 99;
}

.zoomout {
    left: 10px;
    top: 170px;
    background-position: -60px 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    outline: none;
    z-index: 99;
}

.canvaszoomin {
    top: 40px;
    left: 10px;
    background-position: -30px 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    outline: none;
    z-index: 99;
}

.canvaszoomout {
    left: 10px;
    top: 75px;
    background-position: -60px 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    outline: none;
    z-index: 99;
}

input[type=range].zoomrange {
    writing-mode: bt-lr; /* IE */
    -webkit-appearance: slider-vertical; /* WebKit */
    outline: none;
    position: relative;
    left: -25px;
    top: 15px;
    -webkit-appearance: none;
    background-color: #f3f3f3;
    width: 100px;
    height: 10px;
    margin-top: 100px;
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
    z-index: 99;
    cursor: pointer;
}

input[type="range"].zoomrange::-webkit-slider-thumb {
    -webkit-appearance: none;
    background-color: #fa9b00;
    width: 10px;
    height: 20px;
    z-index: 99;
    cursor: pointer;
}

.zoomin-scheme {
    top: 40px;
    left: 10px;
    background-position: -30px 0;
    -webkit-border-radius: 0 3px 3px 0;
    -moz-border-radius: 0 3px 3px 0;
    -ms-border-radius: 0 3px 3px 0;
    -o-border-radius: 0 3px 3px 0;
    border-radius: 0 3px 3px 0;
    outline: none;
    z-index: 99;
}

.zoomout-scheme {
    left: 10px;
    top: 170px;
    background-position: -60px 0;
    -webkit-border-radius: 3px 0 0 3px;
    -moz-border-radius: 3px 0 0 3px;
    -ms-border-radius: 3px 0 0 3px;
    -o-border-radius: 3px 0 0 3px;
    border-radius: 3px 0 0 3px;
    outline: none;
    z-index: 99;
}

input[type=range].zoomrange-scheme {
    /*writing-mode: bt-lr; !* IE *!*/
    -webkit-appearance: slider-vertical; /* WebKit */
    outline: none;
    position: relative;
    left: -25px;
    top: 15px;
    -webkit-appearance: none;
    background-color: #f3f3f3;
    width: 100px;
    height: 10px;
    margin-top: 100px;
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(270deg);
    z-index: 99;
    cursor: pointer;
}

input[type="range"].zoomrange-scheme::-webkit-slider-thumb {
    -webkit-appearance: none;
    background-color: #fa9b00;
    width: 10px;
    height: 20px;
    z-index: 99;
    cursor: pointer;
}


.map-fullscreen {
    /* background-image: url(/images/mapcontroll.png); */
    /* background-repeat: no-repeat; */
    display: block;
    text-align: center;
    /* text-indent: -999em; */
    width: 110px;
    height: 32px;
    padding: 5px;
    background-color: #ffffff;
    background-position: -90px 0;
    position: absolute;
    top: 5px;
    left: 10px;
    border: 1px solid #cccccc;
    box-sizing: border-box;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    z-index: 1001;
    cursor: pointer;
}

.zoomout:hover, .zoomin:hover {
    background-color: rgb(215, 215, 215);
}

.map-fullscreen:hover {
    background-color: #fff;
}

#mapContainer #mapControls .down {
    background: url(/images/iconDown.png) no-repeat center top;
    display: block;
    height: 27px;
    width: 29px;
}

.m_map {
    position: absolute;
    background: #fa9b00;
    padding: 5px;
    color: #fff;
    left: 0;
    top: 0;
    display: block;
    z-index: 9999;
    cursor: pointer;
}

.m_map:hover {
    background: rgba(250, 155, 0, 1);
}

.hall_section_map {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    top: 0;
    display: block;
    background-color: white;
}

.section_map_minimaze_wrapper {
    position: relative;
    overflow: hidden;
    /* margin: auto; */
    /* left: auto; */
    /* right: auto; */
    /* height: 100%; */
}

.section_map_minimaze_pix {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    width: 100%;
}

.hall_section_map svg {
    /*width: 100%;*/
    /*height: 100%;*/
}

.hall_section_map img {
    /*float: right;*/
}

#mapContainer #submap {
    /*position: absolute;*/
}

#mapContainer #map a {
    width: 18px;
    height: 18px;
    border: 1px solid black;
    position: absolute;
}

#mapContainer #map a span {
    position: absolute;
    padding: 0;
}

#mapContainer #map a > span {
    left: 1px;
    /*top: -2px;*/
    right: auto;
    bottom: auto;
    font: 8px "PT Sans"
}

#mapContainer #map a > span + span {
    left: auto;
    top: auto;
    right: 1px;
    bottom: 0px;
    font: 7px "PT Sans"
}

#mapContainer #map a > span + span + span {
    display: none;
}

#mapContainer #map a.ck > span,
#mapContainer #map a.ck > span + span {
    display: none;
}

#mapContainer #map a.ck > span + span + span {
    display: block;
    background: url(/images/checker.png) no-repeat;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    margin: 1px;
}

.op, .op2 {
    filter: progid:DXImageTransform.Microsoft.Alpha(opacity=30);
    -moz-opacity: 0.3;
    -khtml-opacity: 0.3;
    opacity: 0.3;
}

.hall_error {
    width: 50%;
    height: 25%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: absolute;
    margin: auto;
    border: 2px solid black;
    border-radius: 15px;
    background-color: #ffa800;
    padding: 15px;
    color: black;
    text-align: center;
    font-size: 20px;
    line-height: 30px;
}

table.sector_list tr {
    border-bottom: 1px solid #999;
}

table.sector_list tr td {
    padding: 2px 4px;
}

.sector_list a {
    border-bottom: 1px dashed #000000;
    color: #000000;
    font-weight: bold;
}

tr.current_sector, tr.current_sector td {
    background-color: #FFFF99;
}

#sector_img {
    position: absolute;
    z-index: 50000;
    right: 20px;
    bottom: 20px;
    border: 1px solid #37B8CD;
    box-shadow: 1px 1px 20px #999;
    padding: 5px;
    background-color: white;
    overflow: hidden;
}

#sector_img #sector_expand_collapse {
    position: absolute;
    z-index: 50001;
    left: 0;
    top: 0;
    display: block;
    width: 36px;
    height: 36px;
    font-size: 32px;
    background: url(/assets/images/arrow_collapse.png);
}

.sector_collapsed {
    width: 36px !important;
    height: 36px !important;
    border: none !important;
    padding: 0;
}

.sector_collapsed #sector_expand_collapse {
    background: url(/assets/images/arrow_expand.png) !important;
}

.scene_box {
    margin: 10px auto;
    height: 20px;
    border: 2px solid black;
    text-align: center;
    font-weight: bold;
    font-size: 16px;
    padding: 6px;
}

.zone_price {
    display: block;
    width: 50px;
    float: left;
    margin-right: 4px;
    /*height: 14px; margin: 6px 20px 0 0;*/
}

/*.price_zones_list a { display: block; font-size:11px;}*/
.z_all {
    background-color: white;
    border: 1px solid black;
}

/*.sel_price_zone { border: 1px solid black; width: 18px; height: 18px;  }*/

a.delete_place {
    background: red;
    width: 14px;
    height: 24px;
    display: block;
    color: #fff;
    text-align: center;
    border-radius: 8px;
    font: bold 14px/24px Arial;
}

a.delete_place:hover {
    background: black;
}

/* Стили для SVG схемы зала*/

polygon.svg-bound, rect.svg-bound, path.svg-bound {
    pointer-events: visible;
}

text {
    pointer-events: none;
}

polygon.svg-full, rect.svg-full, path.svg-full {
    fill: #cccccc;
    cursor: not-allowed;
}

polygon.svg-current, rect.svg-current, path.svg-current {
    fill: #99cc99;
}

a.hover polygon.svg-places, a.hover rect.svg-places, a.hover path.svg-places, a.hover polygon.svg-hover, a.hover rect.svg-hover, a.hover path.svg-hover {
    fill: #ccffcc;
}

polygon.svg-places:hover, rect.svg-places:hover, path.svg-places:hover, polygon.svg-hover, rect.svg-hover, path.svg-hover {
    fill: #ccffcc;
    cursor: pointer;
}

a.hover polygon.svg-full, a.hover rect.svg-full, a.hover path.svg-full {
    fill: #ffcccc;
}

polygon.svg-full:hover, rect.svg-full:hover, path.svg-full:hover {
    fill: #ffcccc;
}

@media screen and (max-width: 425px) {
    /*.hall_section_map svg {*/
    /*width: initial;*/
    /*margin-left: auto;*/
    /*margin-right: auto;*/
    /*display: block;*/
    /*}*/
    /*.section_map_minimaze_wrapper {*/
    /*overflow: auto;*/
    /*}*/
}

.svg-scheme{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
}

.svg-scheme svg{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    margin: auto;
    height: 100%;
    width: 100%;
}